Usage de Image::Magick

Le
perlgenome
Salut,

Quelqu'un arrive t-il à utiliser sous Windows le module
Image::Magick ? Après son installation sous activeperl 5.8 ou 5.10,
j'obtiens un beau message de ce type :

perl -MImage::Magick -e"" =>

Can't load 'C:/Perl/site/lib/auto/Image/Magick/Magick.dll' for module
Image::Magick: load_file:RÚcurrence trop profondeá; la pile a dÚbord=
Ú
at C:/Perl/lib/DynaLoader.pm line 202.at CHEMIN.PL line 4
Compilation failed in require at CHEMIN.PL
line 4.
BEGIN failed--compilation aborted at CHEMIN
.PL line 4.

Je l'ai installé via le repository bribes et il y a bien dans le
répertoire C:/Perl/site/lib/auto/Image/Magick/ les fichiers dll et
Magick.dll.

Merci
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Nicolas George
Le #20484261
perlgenome wrote in message
Quelqu'un arrive t-il à utiliser sous Windows le module
Image::Magick ?



En tout cas, sous Debian, ce module marche très bien, je l'utilise de temps
en temps.
Denis Dordoigne
Le #20484831
Bonjour,

Quelqu'un arrive t-il à utiliser sous Windows le module
Image::Magick ?


Je ne l'utilise plus, ayant la chance de ne plus travailler avec
windows, mais je l'ai déjà utilisé, de mémoire je l'avais installé avec
l'outil cpan et je n'avais pas eu de soucis particulier.


--
Denis Dordoigne
Membre de l'April - promouvoir et défendre le logiciel libre - april.org
Rejoignez maintenant plus de 5 000 personnes, associations,
entreprises et collectivités qui soutiennent notre action
jl_morel
Le #20492201
Dans l'article <258ce7ee-0713-4676-be81-
, a dit...

Quelqu'un arrive t-il à utiliser sous Windows le module
Image::Magick ? Après son installation sous activeperl 5.8 ou 5.10,
j'obtiens un beau message de ce type :

perl -MImage::Magick -e"" =>

Can't load 'C:/Perl/site/lib/auto/Image/Magick/Magick.dll' for module
Image::Magick: load_file:RÚcurrence trop profondeá; la pile a dÚbord >Ú
at C:/Perl/lib/DynaLoader.pm line 202.at CHEMIN.PL line 4
Compilation failed in require at CHEMIN.PL
line 4.
BEGIN failed--compilation aborted at CHEMIN
.PL line 4.

Je l'ai installé via le repository bribes et il y a bien dans le
répertoire C:/Perl/site/lib/auto/Image/Magick/ les fichiers dll et
Magick.dll.




On m'a signalé ce bug par email il y a quelques jours.

Je ne me suis aperçu de rien. Je compile les modules sous WinXP SP3 et
Image::Magick-6.5.7 fonctionne bien pour moi avec ActivePerl 5.6, 5.8.6,
5.8.8, 5.10.0 et 5.10.1. (tests et démos sont ok). C'est pourquoi je les ai
mis dans mon dépôt ppm.

Par contre sous une autre machine avec Vista et le dernier ActivePerl
5.10.1 Build 1006, j'ai la même erreur que vous.

Apparemment, ça proviendrait de Windows puisqu'une partie du message est en
français. Ce bug est connu depuis déjà un moment :

http://aspn.activestate.com/ASPN/Mail/Message/activeperl/3717969

Pas de remède connu actuellement :-(

Faut investiguer !


--
J-L.M.
http://www.bribes.org/perl
Publicité
Poster une réponse
Anonyme